@-webkit-keyframes blink_animation {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes blink_animation {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500,900&display=swap');



/********************************/
/*
リセット
/***********************/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  vertical-align: baseline; }

html {
  line-height: 1; }

ol, ul {
  list-style: none; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

caption, th, td {
  text-align: left;
  font-weight: normal;
  vertical-align: middle; }

q, blockquote {
  quotes: none; }

q:before, q:after, blockquote:before, blockquote:after {
  content: "";
  content: none; }

a, a:hover {
  text-decoration: none; }

a > img, nav > img, li > img, div > img {
  width: 100%;
  height: auto; }

a {
  cursor: pointer;
  text-decoration: none;
  color: #000; }

article, aside, details, figcaption, figure, footer, header, hgroup, main, menu, nav, section, summary {
  display: block; }

button {
  appearance: none;
  -webkit-appearance: none;
  border: none;
  padding: 0; }

@media screen and (min-width: 769px) {
  .sp_only {
    display: none !important; } }

.clearfix:after {
  content: ".";
  height: 0; }

body {
  position: absolute;
  background-color: #fff;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-size: 16px;
  font-family: "ヒラギノ角ゴシック Pro W3",Hiragino Kaku Gothic Pro,"メイリオ",Meiryo,Osaka,"MS Pゴシック",MS PGothic,sans-serif;
  font-family: 'Roboto', sans-serif;
  overflow: visible; }

body * {
  box-sizing: border-box; }

div, h1, h2, h3, h4, h5, ul, ol, li, dl, dt, dd {
  position: relative; }

h1, h2, h3, h4, h5 {
  margin: 0;
  padding: 0;
  line-height: 1; }

p, div, span {
  margin: 0;
  padding: 0;
  line-height: 1.5; }

ul, ol, li, dl, dt, dd {
  margin: 0;
  padding: 0;
  list-style: none;
  line-height: 1; }

img,
a img {
  border: none;
  display: inline-block; }

img {
  width: 100%;
  height: auto; }

h1, h2 {
  font-weight: bold; }

/********************************/

body {
  margin: 0;
  padding: 0;
  
  width: 100%;
  /*position: absolute;
  height: 100%;
  overflow: hidden;*/
}



body.noscroll {
  height: 100%;
  overflow: hidden; 
}

.logo{
  color:#9e9e9f;
    font-size: 0.8em;
    position: relative;
    z-index: 100;
    position: absolute;
}


.logo a img{
    width: 5.82em;
    margin-top:1em;
    margin-left:1em;
}


@media screen and (max-aspect-ratio: 1/1){
  /*縦長の時に対応*/
  .wrapper{
   /* border: solid red;*/
  }

  .pc_only {
    display: none !important; }

  .sp_only {
    display: block !important; }

  

}

@media screen and (min-width: 769px) {
  body {
    font-size: 16px; 
    } 
  }
@media screen and (max-width: 768px) {
  body {
    font-size: 5vw; 
  } 

  header br.sp_only {
    /* display: none !important; */
  }
}




.wrapper {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

main {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

main h1 {
 /*position: absolute;
  top: 0;
  left: 0;
  visibility: hidden;
  */
}

.canvasframe{
  position: relative;
  height: 100%;
  /*width: calc(100vw - 110px);*/
  width: calc(100vw - 0px);
  margin-left: 0px;
}

.canvasarea {
  position: relative;
  height: 100%;
  background-size: 100% 100%;
  background-size: cover;
  background-position: center;
  width: 100%;
  /*background-image: url(../img/bg.jpg);*/
  
 /* max-height: calc(100% - 110px);*/
  top: 50%;
  transform: translateY(-50%);
}

    



.canvasarea canvas {
  -webkit-transition: opacity 0.6s ease-out;
  -o-transition: opacity 0.6s ease-out;
  transition: opacity 0.6s ease-out;
  display: block;
}

.canvasarea canvas.show {
  opacity: 1;
}

.main__guide {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}


.uibord{
  position: absolute;
  top: 0;right: 0;
  height: 100vh;
  width: 110px;
  background-color: #999;
  padding-top: 50px;
  padding-left: 1em;
}

.uibord__btns{
  display: flex;
  flex-direction: column;
  position: absolute;
  bottom: 5em;
}

.uibord__btn{
  margin-bottom: 1em;
  color: #fff;
  user-select: none;
}

.uibord__btns-set{
  margin-bottom: 2em;
}

.capture-sample{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;left: 0;
  opacity: 0;
  border: solid #e26e32 12px;
  border-radius: 56px;
  transform-origin: 98% 98%;
  display: block;
  overflow: hidden;

  transition: transform 0.6s ease-out,opacity 0.6s ease-out;
}

.capture-sample.compact{
  transform: scale(0.25);
  opacity: 1;
}

.capture-sample.hide{
   opacity: 0;
}

.shutter__area{
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  pointer-events: none;
}

.shutter__top,
.shutter__bottom{
 position: absolute;
  width: 100%;
   top: 0;
  left: 0;
   height: 50%;
   background-color: rgba(0,0,0,0.3);
   transform-origin: left top;
   transform: scaleY(0);
  
}

.shutter__bottom{
  top: auto;
  bottom: 0;
  transform-origin: left bottom;
}

.shutter__area.shoot .shutter__top,
.shutter__area.shoot .shutter__bottom{
   transition: transform 0.15s linear;
   transform: scaleY(100%);
}

.model-change-preloader{
  position: absolute;
  display: block;
  left: 50%;top: 50%;
  width: 40%;
  opacity: 0;
  transform: translate(-50%,-50%);
  transition: opacity .3s ease-out;
  
}

.model-change-preloader.show{
  opacity: 1;
}

.guide-h,
.guide-v{
  position: absolute;
  pointer-events: none;
   top: 0;
   left: 0;
}
.guide-h{
  height: 50%;
  width: 100%;
  /*border-bottom: solid 1px red;*/

}

.guide-v{
  height:100%;
  width: 50%;
  /*border-right: solid 1px red;*/
}

header{
  font-weight: 900;
  font-size: 2em;
  position: absolute;
  width: 100vw;
  /*text-align: center;*/
  top: 1.2em;
  z-index: 2;
  margin-left: 1em;
  opacity:0;
  transition:opacity 1s ease-out;
}

header.show{
  opacity:1;
}

h1{
  font-weight: 900;
  font-size: 2.5em;
  position: absolute;
  
  text-align:center;
  top:calc(50% - 0.5em);
  left: 50%;
  transform: translate(-50%, -50%);
  transition:opacity 0.6s ease-out;
  white-space:nowrap;
  visibility:hidden;
}

h1.show{
  visibility:visible;
}

h1.hide{
  opacity:0;
}

.repeat{
  position: absolute;
  bottom: 5em;
  right: 2em;
  width: 15vh;
  cursor: pointer;
}

.discription{
  font-size: 1em;
  position: absolute;
  left: 1.1em;
  top: 6em;
  width: 40%;
}

.discription li{
  margin-bottom: 0.5em;
  line-height: 1.75;
  margin-left: 1em;
  transition:opacity 0.3s ease-in-out;
  display:none;
  opacity:0;
}

.discription li.show{
  display:block;
  opacity:1;
}

.control{
    width: 34em;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0.75em;
    display:flex;
    justify-content: space-between;
    font-size: 0.85em;
    opacity:0;
  transition:opacity 1s ease-out 0.5s;
}

.control.show{
  opacity:1;
}

.control__stop{
  width: 45%;
  cursor: pointer;
  
}

.back,
.next{
  letter-spacing:0.1em;
  font-weight:bold;
  font-size:1.2em;
  line-height: 1;
}

.gage{
  width:18em;
  padding-top: 0.2em;
  display:flex;
  justify-content: space-between;
}

.gage li{
  width:0.85em;height:0.85em;
  border-radius:0.5em;
  border:solid gray 1px;
}

.gage li.active{
  background-color:lightgray;
}

.control__play{
   width: 45%;
   cursor: pointer;
}



body footer{
  color:#666;
  display:flex;
  width: 100%;
  justify-content: space-between;
  position: absolute;
  bottom:0;
  left:0;
}

.footer__discription{
  font-size:0.68em;
  margin-bottom: 0.6rem;
  margin-left: 1rem;
  transform: scale(0.8);
  transform-origin: left bottom;
  display:none;
}
.footer__copyright{
  font-size:0.5em;
  position: absolute;
  bottom:1em;
  right:1rem;
  transform: scale(0.8);
  transform-origin: right bottom;
}

@media screen and (max-aspect-ratio: 1/1){
  /*縦長の時に対応*/

}


  /************************************/
/* shuffle-text                     */
/************************************/

.shuffle-text{

}

.shuffle-text span{
  position:absolute;
  top:0;left:0;
  display:inline-block;
}

.shuffle-text .support-element{
  position:relative;
  visibility:hidden;
}



@media screen and (max-width: 930px) {

  .discription {
    width:35% ;
    font-size: 0.9em;
  }

}

@media screen and (max-width: 500px) {
  logo a img{
      width: 25vw;
      margin-top:4vw;
      margin-left:4vw;
  }
}

@media screen and (max-width: 768px) {
    

  body footer{
      display: block;
      font-size:4vw;
      width: 94vw;
      margin-left: 3vw;
      position: relative;
  }

  body footer br{
      display:none;
  }

  header{
    font-size: 1.25em;
    line-height: 1.2;
    margin-left: 4vw;
    top:3em;
  }

  main{
    /* height: 137vw; */
  }

  h1 {
    font-size: 1.25em;
    
  }

  .canvasframe,
  .canvasarea{
    left:0;
    top: 0;
    transform: none;
  }

  .canvasarea{
    height: 100%;
    padding-top: 1em;
    /*padding-top: 30vw;
     margin-left: -7vw; */
  }

  .wrapper{
    height: 100%;
  }

  .discription {
    width: 94%;
    font-size: 0.85em;
    top: 28vw;
    left: 0.6vw;
    text-align: justify;
  }

  .discription li{
    line-height:1.5;
  }

  .repeat{
    bottom:4vw;
    width: 17vw;
    right:4vw;
    
  }

  .control{
    bottom:4vw;
    width: 90vw;
    font-size: 0.65rem;
  }

  .gage {
    width: 13em;
  }

  .footer{
    position: relative;
  }

  .footer__discription{
      transform:none;
      position: relative;
      margin:0;
      margin-bottom: 0.5rem;
      line-height: 1.5;
      text-align: justify;
  }

  .footer__copyright{
      transform:none;
      position: relative;
      bottom:auto;
      right:auto;
      
      margin-bottom:0.6rem;
  }

}
